<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:gravity="center_horizontal"
    android:orientation="vertical">

    <com.google.android.material.appbar.AppBarLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:background="@android:color/transparent"
        android:theme="@style/AppTheme.AppBarOverlay">

        <androidx.appcompat.widget.Toolbar
            android:id="@+id/toolbar"
            android:layout_width="match_parent"
            android:layout_height="?android:attr/actionBarSize"
            android:background="#ffffff"
            app:contentInsetLeft="0dp"
            app:contentInsetStart="0dp"
            app:popupTheme="@style/AppTheme.PopupOverlay">

            <TextView
                android:id="@+id/txt_title"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="center"
                android:gravity="center"
                android:text="Create Training"
                android:textAllCaps="true"
                android:textColor="@color/btn_bg_color"
                android:textSize="18sp"
                android:textStyle="bold" />

        </androidx.appcompat.widget.Toolbar>
    </com.google.android.material.appbar.AppBarLayout>

    <androidx.core.widget.NestedScrollView
        android:layout_width="match_parent"
        android:layout_height="match_parent">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="0dip"
            android:layout_marginTop="10dp"
            android:layout_weight="1"
            android:orientation="vertical">


            <CheckBox
                android:id="@+id/chkadhoc"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginStart="10dp"
                android:text="Adhoc Training" />

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginStart="20dp"
                android:layout_marginTop="10dp"
                android:text="Business Segment"
                android:textColor="#0f2e42"
                android:textSize="13sp"
                android:textStyle="bold" />

            <RadioGroup
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginStart="20dp"
                android:orientation="horizontal">

                <RadioButton
                    android:id="@+id/radio_scooter"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:padding="4dp"
                    android:text="Scooter" />

                <RadioButton
                    android:id="@+id/radio_motor"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:padding="4dp"
                    android:text="Motorcycle" />

                <RadioButton
                    android:id="@+id/radio_both"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:padding="4dp"
                    android:text="Scooter &amp; Motorcycle" />
            </RadioGroup>

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginStart="20dp"
                android:layout_marginTop="10dp"
                android:text="Training Title"
                android:textColor="#0f2e42"
                android:textSize="13sp"
                android:textStyle="bold" />

            <RelativeLayout
                android:layout_width="match_parent"
                android:layout_height="44dp"
                android:layout_marginStart="20dp"
                android:layout_marginTop="8dp"
                android:layout_marginEnd="20dp"
                android:background="@drawable/custom_border">

                <TextView
                    android:id="@+id/txtTrainingTitle"
                    android:layout_width="match_parent"
                    android:layout_height="44dp"
                    android:layout_toLeftOf="@id/divider"
                    android:background="@android:color/transparent"
                    android:gravity="center|start"
                    android:hint="Training Title"
                    android:paddingStart="6dp"
                    android:paddingEnd="6dp"
                    android:textColor="@color/material_bluegrey800"
                    android:textSize="16sp" />

                <View
                    android:id="@+id/divider"
                    android:layout_width="1dp"
                    android:layout_height="match_parent"
                    android:layout_toLeftOf="@id/levelSpinner"
                    android:background="#33969696"
                    android:visibility="visible" />

                <ImageButton
                    android:id="@+id/levelSpinner"
                    android:layout_width="44dp"
                    android:layout_height="44dp"
                    android:layout_alignParentEnd="true"
                    android:background="@android:color/transparent"
                    android:contentDescription="@string/app_name"
                    android:scaleType="fitCenter"
                    android:src="@drawable/spinner_drop"
                    android:visibility="visible" />

                <!--            </RelativeLayout>-->

                <!--            <TextView-->
                <!--                android:layout_width="wrap_content"-->
                <!--                android:layout_height="wrap_content"-->
                <!--                android:layout_marginStart="20dp"-->
                <!--                android:text="Base"-->
                <!--                android:textColor="#0f2e42"-->
                <!--                android:textSize="13sp"-->
                <!--                android:textStyle="bold" />-->

                <!--            <RelativeLayout-->
                <!--                android:id="@+id/rloutBase"-->
                <!--                android:layout_width="match_parent"-->
                <!--                android:layout_height="44dp"-->
                <!--                android:layout_marginStart="20dp"-->
                <!--                android:layout_marginTop="8dp"-->
                <!--                android:layout_marginEnd="20dp"-->
                <!--                android:background="@drawable/custom_border">-->

                <!--                <TextView-->
                <!--                    android:id="@+id/txtBase"-->
                <!--                    android:layout_width="match_parent"-->
                <!--                    android:layout_height="44dp"-->
                <!--                    android:background="@android:color/transparent"-->
                <!--                    android:gravity="center|start"-->
                <!--                    android:hint="Base"-->
                <!--                    android:paddingStart="6dp"-->
                <!--                    android:paddingEnd="6dp"-->
                <!--                    android:textSize="16sp" />-->

                <!--                <View-->
                <!--                    android:id="@+id/dividerBase"-->
                <!--                    android:layout_width="1dp"-->
                <!--                    android:layout_height="match_parent"-->
                <!--                    android:background="#33969696" />-->

                <!--                <ImageButton-->
                <!--                    android:id="@+id/BaseSpinner"-->
                <!--                    android:layout_width="44dp"-->
                <!--                    android:layout_height="44dp"-->
                <!--                    android:layout_alignParentEnd="true"-->
                <!--                    android:background="@android:color/transparent"-->
                <!--                    android:contentDescription="@string/app_name"-->
                <!--                    android:scaleType="fitCenter"-->
                <!--                    android:src="@drawable/spinner_drop" />-->

                <!--            </RelativeLayout>-->

                <!--            <TextView-->
                <!--                android:layout_width="wrap_content"-->
                <!--                android:layout_height="wrap_content"-->
                <!--                android:layout_marginStart="20dp"-->
                <!--                android:text="Trainer Name"-->
                <!--                android:textColor="#0f2e42"-->
                <!--                android:textSize="13sp"-->
                <!--                android:textStyle="bold" />-->

                <!--            <RelativeLayout-->
                <!--                android:id="@+id/rloutTrainer"-->
                <!--                android:layout_width="match_parent"-->
                <!--                android:layout_height="44dp"-->
                <!--                android:layout_marginStart="20dp"-->
                <!--                android:layout_marginTop="8dp"-->
                <!--                android:layout_marginEnd="20dp"-->
                <!--                android:background="@drawable/custom_border">-->

                <!--                <TextView-->
                <!--                    android:id="@+id/txtTrainerName"-->
                <!--                    android:layout_width="match_parent"-->
                <!--                    android:layout_height="44dp"-->
                <!--                    android:background="@android:color/transparent"-->
                <!--                    android:gravity="center|start"-->
                <!--                    android:hint="Trainer Name"-->
                <!--                    android:paddingStart="6dp"-->
                <!--                    android:paddingEnd="6dp"-->
                <!--                    android:textSize="16sp" />-->

                <!--                <View-->
                <!--                    android:id="@+id/dividerTrainer"-->
                <!--                    android:layout_width="1dp"-->
                <!--                    android:layout_height="match_parent"-->
                <!--                    android:background="#33969696" />-->

                <!--                <ImageButton-->
                <!--                    android:id="@+id/trainerSpinner"-->
                <!--                    android:layout_width="44dp"-->
                <!--                    android:layout_height="44dp"-->
                <!--                    android:layout_alignParentEnd="true"-->
                <!--                    android:background="@android:color/transparent"-->
                <!--                    android:contentDescription="@string/app_name"-->
                <!--                    android:scaleType="fitCenter"-->
                <!--                    android:src="@drawable/spinner_drop" />-->

            </RelativeLayout>


            <EditText
                android:id="@+id/otherTitle"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginStart="20dp"
                android:layout_marginTop="8dp"
                android:layout_marginEnd="20dp"
                android:background="@drawable/custom_border"
                android:gravity="start|top"
                android:hint="Other Title"
                android:importantForAutofill="no"
                android:inputType="textMultiLine"
                android:maxLines="1"
                android:minLines="1"
                android:padding="6dp" />

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginStart="20dp"
                android:layout_marginTop="10dp"
                android:orientation="horizontal"
                android:visibility="visible">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="Training Description"
                    android:textColor="#0f2e42"
                    android:textSize="13sp"
                    android:textStyle="bold" />

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginStart="10dp"
                    android:text="(Optional)"
                    android:textSize="13sp"
                    android:textColor="@color/red"
                    android:textStyle="bold" />
            </LinearLayout>

            <EditText
                android:id="@+id/description"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginStart="20dp"
                android:layout_marginTop="8dp"
                android:layout_marginEnd="20dp"
                android:background="@drawable/custom_border"
                android:gravity="start|top"
                android:hint="Description"
                android:importantForAutofill="no"
                android:inputType="textMultiLine"
                android:maxLines="3"
                android:minLines="2"
                android:padding="6dp" />

            <View
                android:layout_width="match_parent"
                android:layout_height="1dp"
                android:layout_marginTop="10dp"
                android:background="@color/material_grey300" />


            <LinearLayout
                android:id="@+id/lloutAddParticipant"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="vertical"
                android:visibility="visible">

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="5dp"
                    android:baselineAligned="false"
                    android:orientation="horizontal">

                    <LinearLayout
                        android:id="@+id/llout_zone"
                        android:layout_width="0dip"
                        android:layout_height="wrap_content"
                        android:layout_weight="1"
                        android:orientation="vertical"
                        android:paddingTop="5dp">

                        <TextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_marginStart="15dp"
                            android:text="Zone"
                            android:textColor="#0f2e42"
                            android:textSize="13sp"
                            android:textStyle="bold" />

                        <com.cygnusa.hyperm.util.MultiSelectSpinner
                            android:id="@+id/zoneSpinner"
                            android:layout_width="match_parent"
                            android:layout_height="40dp"
                            android:background="@android:color/transparent"
                            android:gravity="start" />

                    </LinearLayout>

                    <LinearLayout
                        android:id="@+id/llout_region"
                        android:layout_width="0dip"
                        android:layout_height="wrap_content"
                        android:layout_weight="1"
                        android:orientation="vertical"
                        android:paddingTop="5dp">

                        <TextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_marginStart="15dp"
                            android:text="Regional Manager"
                            android:textColor="#0f2e42"
                            android:textSize="13sp"
                            android:textStyle="bold" />

                        <com.cygnusa.hyperm.util.MultiSelectSpinner
                            android:id="@+id/regionSpinner"
                            android:layout_width="match_parent"
                            android:layout_height="40dp"
                            android:background="@android:color/transparent"
                            android:gravity="start" />

                    </LinearLayout>


                </LinearLayout>

                <View
                    android:layout_width="match_parent"
                    android:layout_height="1dp"
                    android:background="@color/material_grey300" />

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="5dp"
                    android:baselineAligned="false"
                    android:orientation="horizontal">

                    <LinearLayout
                        android:id="@+id/llout_am"
                        android:layout_width="0dip"
                        android:layout_height="wrap_content"
                        android:layout_weight="1"
                        android:orientation="vertical"
                        android:paddingTop="5dp">

                        <TextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_marginStart="15dp"
                            android:text="Area Manager"
                            android:textColor="#0f2e42"
                            android:textSize="13sp"
                            android:textStyle="bold" />

                        <com.cygnusa.hyperm.util.MultiSelectSpinner
                            android:id="@+id/areaSpinner"
                            android:layout_width="match_parent"
                            android:layout_height="40dp"
                            android:background="@android:color/transparent"
                            android:gravity="start" />

                    </LinearLayout>

                    <LinearLayout
                        android:id="@+id/llout_dealer"
                        android:layout_width="0dip"
                        android:layout_height="wrap_content"
                        android:layout_weight="1"
                        android:orientation="vertical"
                        android:paddingTop="5dp">

                        <TextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_marginStart="15dp"
                            android:text="Dealer"
                            android:textColor="#0f2e42"
                            android:textSize="13sp"
                            android:textStyle="bold" />

                        <com.cygnusa.hyperm.util.MultiSelectSpinner
                            android:id="@+id/dealerSpinner"
                            android:layout_width="match_parent"
                            android:layout_height="40dp"
                            android:background="@android:color/transparent"
                            android:gravity="start" />

                    </LinearLayout>

                </LinearLayout>

                <View
                    android:layout_width="match_parent"
                    android:layout_height="1dp"
                    android:background="@color/material_grey300" />

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="5dp"
                    android:baselineAligned="false"
                    android:orientation="horizontal">

                    <LinearLayout
                        android:layout_width="0dip"
                        android:layout_height="wrap_content"
                        android:layout_weight="1"
                        android:orientation="vertical"
                        android:paddingTop="5dp">

                        <TextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_marginStart="15dp"
                            android:text="DSE"
                            android:textColor="#0f2e42"
                            android:textSize="13sp"
                            android:textStyle="bold" />

                        <com.cygnusa.hyperm.util.MultiSelectSpinner
                            android:id="@+id/dseSpinner"
                            android:layout_width="match_parent"
                            android:layout_height="40dp"
                            android:background="@android:color/transparent"
                            android:gravity="start" />

                    </LinearLayout>

                </LinearLayout>

                <View
                    android:layout_width="match_parent"
                    android:layout_height="1dp"
                    android:background="@color/material_grey300" />

            </LinearLayout>


            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="5dp"
                android:baselineAligned="false"
                android:orientation="horizontal">

                <LinearLayout
                    android:layout_width="0dip"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    android:orientation="vertical"
                    android:paddingTop="5dp">

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginStart="15dp"
                        android:text="Start Date"
                        android:textColor="#0f2e42"
                        android:textSize="13sp"
                        android:textStyle="bold" />

                    <TextView
                        android:id="@+id/txtStartDateSelection"
                        android:layout_width="match_parent"
                        android:layout_height="40dp"
                        android:background="@android:color/transparent"
                        android:drawableEnd="@mipmap/date_pick"
                        android:gravity="center"
                        android:textColor="@color/material_black"
                        android:textSize="16sp" />

                </LinearLayout>

                <View
                    android:layout_width="1dp"
                    android:layout_height="match_parent"
                    android:background="@color/material_grey300" />

                <LinearLayout
                    android:layout_width="0dip"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    android:orientation="vertical"
                    android:paddingTop="5dp">

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginStart="15dp"
                        android:text="End Date"
                        android:textColor="#0f2e42"
                        android:textSize="13sp"
                        android:textStyle="bold" />

                    <TextView
                        android:id="@+id/txtEndDateSelection"
                        android:layout_width="match_parent"
                        android:layout_height="40dp"
                        android:background="@android:color/transparent"
                        android:drawableEnd="@mipmap/date_pick"
                        android:gravity="center"
                        android:textColor="@color/material_black"
                        android:textSize="16sp" />

                </LinearLayout>


            </LinearLayout>

            <View
                android:layout_width="match_parent"
                android:layout_height="1dp"
                android:background="@color/material_grey300" />


            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="5dp"
                android:baselineAligned="false"
                android:orientation="horizontal">

                <LinearLayout
                    android:layout_width="0dip"
                    android:layout_height="wrap_content"
                    android:layout_weight="0.8"
                    android:orientation="vertical"
                    android:paddingTop="5dp">

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginStart="15dp"
                        android:text="From Time"
                        android:textColor="#0f2e42"
                        android:textSize="13sp"
                        android:textStyle="bold" />

                    <TextView
                        android:id="@+id/txtFromTime"
                        android:layout_width="match_parent"
                        android:layout_height="40dp"
                        android:background="@android:color/transparent"
                        android:drawableEnd="@mipmap/time_pick"
                        android:gravity="center"
                        android:textColor="@color/material_black"
                        android:textSize="16sp" />

                </LinearLayout>

                <View
                    android:layout_width="1dp"
                    android:layout_height="match_parent"
                    android:background="@color/material_grey300" />

                <LinearLayout
                    android:layout_width="0dip"
                    android:layout_height="wrap_content"
                    android:layout_weight="0.8"
                    android:orientation="vertical"
                    android:paddingTop="5dp">

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginStart="15dp"
                        android:text="To Time"
                        android:textColor="#0f2e42"
                        android:textSize="13sp"
                        android:textStyle="bold" />

                    <TextView
                        android:id="@+id/txtToTime"
                        android:layout_width="match_parent"
                        android:layout_height="40dp"
                        android:background="@android:color/transparent"
                        android:drawableEnd="@mipmap/time_pick"
                        android:gravity="center"
                        android:textColor="@color/material_black"
                        android:textSize="16sp" />

                </LinearLayout>

            </LinearLayout>

            <View
                android:layout_width="match_parent"
                android:layout_height="1dp"
                android:background="@color/material_grey300" />

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginStart="20dp"
                android:text="Venue Location"
                android:textColor="#0f2e42"
                android:textSize="13sp"
                android:textStyle="bold" />

            <RelativeLayout
                android:id="@+id/rloutVenueLocation"
                android:layout_width="match_parent"
                android:layout_height="44dp"
                android:layout_marginStart="20dp"
                android:layout_marginTop="8dp"
                android:layout_marginEnd="20dp"
                android:background="@drawable/custom_border">

                <TextView
                    android:id="@+id/txt_venue_location"
                    android:layout_width="match_parent"
                    android:layout_height="44dp"
                    android:layout_marginEnd="20dp"
                    android:background="@android:color/transparent"
                    android:gravity="center|start"
                    android:hint="Select Type"
                    android:paddingStart="6dp"
                    android:paddingEnd="6dp"
                    android:textColor="@color/material_bluegrey800"
                    android:textSize="16sp" />

                <View
                    android:layout_width="1dp"
                    android:layout_height="match_parent"
                    android:background="#33969696" />

                <ImageButton
                    android:id="@+id/venueSpinner"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_alignParentEnd="true"
                    android:layout_centerInParent="true"
                    android:background="@android:color/transparent"
                    android:contentDescription="@string/app_name"
                    android:scaleType="fitCenter"
                    android:src="@drawable/spinner_drop" />

            </RelativeLayout>

            <View
                android:layout_width="match_parent"
                android:layout_height="1dp"
                android:layout_marginTop="2dp"
                android:background="@color/material_grey300" />

            <LinearLayout
                android:id="@+id/lloutVenueDealerSelection"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="horizontal"
                android:visibility="gone">

                <RelativeLayout
                    android:id="@+id/rloutVenueArea"
                    android:layout_width="0dp"
                    android:layout_height="match_parent"
                    android:layout_marginStart="10dp"
                    android:layout_marginTop="8dp"
                    android:layout_marginEnd="10dp"
                    android:layout_weight="1"
                    android:background="@drawable/custom_border">

                    <TextView
                        android:id="@+id/txt_venue_area_location"
                        android:layout_width="match_parent"
                        android:layout_height="44dp"
                        android:layout_marginEnd="20dp"
                        android:background="@android:color/transparent"
                        android:gravity="center|start"
                        android:hint="Select Area Manager"
                        android:paddingStart="6dp"
                        android:paddingEnd="6dp"
                        android:textColor="@color/material_bluegrey800"
                        android:textSize="16sp" />

                    <View
                        android:layout_width="1dp"
                        android:layout_height="match_parent"
                        android:background="#33969696" />

                    <ImageButton
                        android:id="@+id/venueAreaSpinner"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_alignParentEnd="true"
                        android:layout_centerInParent="true"
                        android:background="@android:color/transparent"
                        android:contentDescription="@string/app_name"
                        android:scaleType="fitCenter"
                        android:src="@drawable/spinner_drop" />

                </RelativeLayout>

                <View
                    android:layout_width="1dp"
                    android:layout_height="match_parent"
                    android:layout_marginTop="2dp"
                    android:background="@color/material_grey300" />

                <RelativeLayout
                    android:id="@+id/rloutVenueDealer"
                    android:layout_width="0dp"
                    android:layout_height="match_parent"
                    android:layout_marginStart="10dp"
                    android:layout_marginTop="8dp"
                    android:layout_marginEnd="10dp"
                    android:layout_weight="1"

                    android:background="@drawable/custom_border">

                    <TextView
                        android:id="@+id/txt_venue_dealer_location"
                        android:layout_width="match_parent"
                        android:layout_height="match_parent"
                        android:layout_marginEnd="20dp"
                        android:background="@android:color/transparent"
                        android:gravity="center|start"
                        android:hint="Select Dealer"
                        android:paddingStart="6dp"
                        android:paddingEnd="6dp"
                        android:textColor="@color/material_bluegrey800"
                        android:textSize="16sp" />

                    <View
                        android:layout_width="1dp"
                        android:layout_height="match_parent"
                        android:background="#33969696" />

                    <ImageButton
                        android:id="@+id/venuedealerSpinner"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_alignParentEnd="true"
                        android:layout_centerInParent="true"
                        android:background="@android:color/transparent"
                        android:contentDescription="@string/app_name"
                        android:scaleType="fitCenter"
                        android:src="@drawable/spinner_drop" />

                </RelativeLayout>
            </LinearLayout>


            <EditText
                android:id="@+id/edtAddress"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginStart="20dp"
                android:layout_marginTop="8dp"
                android:layout_marginEnd="20dp"
                android:layout_marginBottom="5dp"
                android:background="@drawable/custom_border"
                android:gravity="top|left"
                android:hint="Address"
                android:inputType="textMultiLine|textPostalAddress"
                android:lines="4"
                android:maxLines="8"
                android:scrollbars="vertical"
                android:textColor="@color/material_bluegrey800"
                android:textSize="16sp"
                android:visibility="gone" />

            <View
                android:layout_width="match_parent"
                android:layout_height="1dp"
                android:background="@color/material_grey300" />

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="vertical">

                <CheckBox
                    android:id="@+id/chkPreAssessment"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:text="Pre Assessment" />

                <LinearLayout
                    android:id="@+id/lloutPreAssessment"
                    android:layout_width="match_parent"
                    android:layout_height="60dp"
                    android:layout_margin="5dp"
                    android:orientation="horizontal"
                    android:visibility="gone">

                    <EditText
                        android:id="@+id/edtAssName"
                        android:layout_width="0dp"
                        android:layout_height="match_parent"
                        android:layout_margin="3dp"
                        android:layout_weight="1"
                        android:background="@drawable/border_bottom_black"
                        android:hint="Assessment Name"
                        android:textColor="@color/material_bluegrey800"
                        android:textSize="15sp" />

                    <View
                        android:layout_width="1dp"
                        android:layout_height="match_parent"
                        android:background="@color/material_grey300" />

                    <EditText
                        android:id="@+id/edtQuesCount"
                        android:layout_width="0dp"
                        android:layout_height="match_parent"
                        android:layout_margin="3dp"
                        android:layout_weight="1"
                        android:background="@drawable/border_bottom_black"
                        android:hint="Question Count"
                        android:inputType="number"
                        android:maxLength="4"
                        android:textColor="@color/material_bluegrey800"
                        android:textSize="15sp" />

                    <View
                        android:layout_width="1dp"
                        android:layout_height="match_parent"
                        android:background="@color/material_grey300" />

                    <LinearLayout
                        android:id="@+id/lloutDuration"
                        android:layout_width="0dp"
                        android:layout_height="match_parent"
                        android:layout_margin="3dp"
                        android:layout_weight="1"
                        android:background="@drawable/border_bottom_black"
                        android:orientation="horizontal">

                        <EditText
                            android:id="@+id/txtPreDuration"
                            android:layout_width="0dp"
                            android:layout_height="match_parent"
                            android:layout_gravity="center"
                            android:layout_weight="1"
                            android:background="@drawable/border_bottom_black"
                            android:gravity="center"
                            android:hint="Duration"
                            android:inputType="time"
                            android:maxLength="4"
                            android:textColor="@color/material_bluegrey800"
                            android:textSize="15sp" />

                        <ImageView
                            android:layout_width="wrap_content"
                            android:layout_height="match_parent"
                            android:layout_gravity="center"
                            android:background="@android:color/transparent"
                            android:src="@mipmap/time_pick"
                            android:visibility="gone" />
                    </LinearLayout>


                </LinearLayout>


            </LinearLayout>

            <View
                android:layout_width="match_parent"
                android:layout_height="1dp"
                android:background="@color/material_grey300" />

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="vertical">

                <CheckBox
                    android:id="@+id/chkPostAssessment"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:text="Post Assessment" />

                <LinearLayout
                    android:id="@+id/lloutPostAssessment"
                    android:layout_width="match_parent"
                    android:layout_height="60dp"
                    android:layout_margin="5dp"
                    android:orientation="horizontal"
                    android:visibility="gone">

                    <EditText
                        android:id="@+id/edtPostAssName"
                        android:layout_width="0dp"
                        android:layout_height="match_parent"
                        android:layout_margin="3dp"
                        android:layout_weight="1"
                        android:background="@drawable/border_bottom_black"
                        android:hint="Assessment Name"
                        android:textColor="@color/material_bluegrey800"
                        android:textSize="15sp" />

                    <View
                        android:layout_width="1dp"
                        android:layout_height="match_parent"
                        android:background="@color/material_grey300" />

                    <EditText
                        android:id="@+id/edtPostQuesCount"
                        android:layout_width="0dp"
                        android:layout_height="match_parent"
                        android:layout_margin="3dp"
                        android:layout_weight="1"
                        android:background="@drawable/border_bottom_black"
                        android:hint="Question Count"
                        android:inputType="number"
                        android:maxLength="4"
                        android:textColor="@color/material_bluegrey800"
                        android:textSize="15sp" />

                    <View
                        android:layout_width="1dp"
                        android:layout_height="match_parent"
                        android:background="@color/material_grey300" />

                    <LinearLayout
                        android:id="@+id/lloutPostDuration"
                        android:layout_width="0dp"
                        android:layout_height="match_parent"
                        android:layout_margin="3dp"
                        android:layout_weight="1"
                        android:background="@drawable/border_bottom_black"
                        android:orientation="horizontal">

                        <EditText
                            android:id="@+id/txtPostDuration"
                            android:layout_width="0dp"
                            android:layout_height="match_parent"
                            android:layout_gravity="center"
                            android:layout_weight="1"
                            android:background="@drawable/border_bottom_black"
                            android:gravity="center"
                            android:hint="Duration"
                            android:inputType="time"
                            android:maxLength="4"
                            android:textColor="@color/material_bluegrey800"
                            android:textSize="15sp" />

                        <ImageView
                            android:layout_width="wrap_content"
                            android:layout_height="match_parent"
                            android:layout_gravity="center"
                            android:background="@android:color/transparent"
                            android:src="@mipmap/time_pick"
                            android:visibility="gone" />
                    </LinearLayout>


                </LinearLayout>


            </LinearLayout>

            <View
                android:layout_width="match_parent"
                android:layout_height="1dp"
                android:background="@color/material_grey300" />

            <CheckBox
                android:id="@+id/chkFeedback"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:text="@string/training_feedback" />

            <Button
                android:id="@+id/btnAddParticipant"
                android:layout_width="250dp"
                android:layout_height="wrap_content"
                android:layout_gravity="center"
                android:layout_margin="3dp"
                android:background="@color/material_bluegrey800"
                android:text="Add More Participants"
                android:textColor="@color/white"
                android:visibility="gone" />

            <GridView
                android:id="@+id/participantList"
                android:layout_width="match_parent"
                android:layout_height="160dp"
                android:layout_gravity="center"
                android:gravity="center"
                android:nestedScrollingEnabled="true"
                android:numColumns="2"
                android:padding="5dp"
                android:stretchMode="columnWidth" />

            <View
                android:layout_width="match_parent"
                android:layout_height="1dp"
                android:background="@color/material_grey300" />

            <TextView
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_gravity="center"
                android:layout_margin="4dp"
                android:gravity="center"
                android:text="@string/classRoomInstruction"
                android:textColor="@color/material_black" />

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_gravity="center"
                android:gravity="center"
                android:orientation="horizontal">

                <Button
                    android:id="@+id/btnCancel"
                    android:layout_width="120dp"
                    android:layout_height="35dp"
                    android:layout_marginStart="50dp"
                    android:layout_marginTop="10dp"
                    android:layout_marginEnd="30dp"
                    android:layout_marginBottom="20dp"
                    android:background="@drawable/btn_login_shadow"
                    android:text="Cancel"
                    android:textColor="@color/white" />

                <Button
                    android:id="@+id/btnSubmit"
                    android:layout_width="120dp"
                    android:layout_height="35dp"
                    android:layout_marginStart="20dp"
                    android:layout_marginTop="10dp"
                    android:layout_marginEnd="50dp"
                    android:layout_marginBottom="20dp"
                    android:background="@drawable/btn_login_shadow"
                    android:text="Submit"
                    android:textColor="@color/white" />


            </LinearLayout>

        </LinearLayout>

    </androidx.core.widget.NestedScrollView>

</LinearLayout>
